
/* should be added to html tag thru js */
html.customizer-ui-v1 {

  $preloaderBackgroundColor: #fff;
  $buttonColor: #fff;
  $marginTopOnDesktop: 93px;
  $marginTopOnMobile: 69px;
  $topBannerHeight: 30px;

  &.customizer-loaded,
  &.customizer-ending {
    height: auto !important;
    max-height: inherit !important;
  }

  &.customizer-loading .variant-customizer-container,
  &.customizer-loaded .variant-customizer-container,
  &.customizer-ending .variant-customizer-container {
    opacity: 1;
    visibility: visible;
    transition: all 0s;
  }

  &.customizer-loading .customizer-progress-bar,
  &.customizer-ending .customizer-outro {
    visibility: visible;
    opacity: 1;
    transition: opacity 400ms, visibility 0ms;
  }

  .variant-customizer-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    // height: 100vh;
    height: calc(100vh - 93px);
    z-index: 900;
    display: flex;
    opacity: 0;
    visibility: hidden;
    margin-top: $marginTopOnDesktop;
  }

  .with-top-banner .variant-customizer-container {
    margin-top: calc(#{$marginTopOnDesktop} + #{$topBannerHeight});
    height: calc(100vh - 93px - 30px);
  }

  .customizerCanvasParent {
    width: 50vw;
  }

  .abs-ui {
    position: absolute;
    width: 50vw;
    top: 0;
    right: 0;
    overflow: auto;
    height: calc(100vh - #{$marginTopOnDesktop});
    background: white;
  }

  .customizer-ui {
    width: 50vw;
    overflow: auto;
    height: 100%;
    background-color: #fff;
    padding-top: $topBannerHeight;
  }

  .customizer-options {
    width: 100%;
    transition: transform 500ms;
  }

  .color-group-title {
    margin-bottom: 15px;
    font-size: 16px;
    font-weight: 500;
    font-family: "Helvetica Neue LT Std";
  }

  .customizer-ui-group {
    margin-bottom: 0;
    /* padding      : 14px 0 14px 15px; */
    padding: 14px 0;
    background: #fff;
    border: 0 none;
    /* border       : 2px solid #F9F9F9; */
  }

  ul.color-group-wrapper {
    padding: 0;
    margin-top: 5px;
    text-align: center;
    white-space: nowrap;
    display: flex;
    justify-content: flex-start;
  }

  ul.color-group-wrapper li {
    display: inline-block;
    width: 34px;
    height: 34px;
    min-width: 34px;
    min-height: 34px;
    border-radius: 99px;
    margin: 0 5px;
    cursor: pointer;
    background-position: center center;
    border: 2px solid transparent;
    position: relative;
  }

  ul.color-group-wrapper li.active {
  }

  ul.color-group-wrapper li.active:after {
    position: absolute;
    width: calc(100% + 8px);
    height: calc(100% + 8px);
    top: -4px;
    left: -4px;
    background: transparent;
    border: 1px solid #010101;
    border-radius: 50%;
    content: "";
  }

  ul.color-group-wrapper li.disabled {
    pointer-events: none !important;
    opacity: 0.2;
    border: 1px solid red;
    border-radius: 50%;
    position: relative;
    display: inline-block;
    background-color: #fff !important;
    overflow: hidden;
  }

  ul.color-group-wrapper li.disabled:after {
    content: "";
    position: absolute;
    width: 200%;
    height: 1px;
    background: red;
    transform: rotate(45deg);
    transform-origin: 0% 0%;
    top: 0;
    left: 0;
  }

  .customizer-input {
    padding: 15px 8px;
    margin: 0;
    display: inline-block;
    border-radius: 0;
    -webkit-appearance: none;
    color: #000000;
    width: calc(100% - 16px);
    max-width: 312px;

    border: 0 none;
    background: #f5f5f5;
    caret-color: #000000;
  }

  .customizer-progress-bar,
  .customizer-outro {
    max-height: calc(100vh - #{$marginTopOnDesktop});
    background-color: #8eb1ac;
    width: 50vw;
  }

  .customizer-progress-bar-text {
    font-family: "Eames Century Modern";
  }

  .customizer-mobile-options {
    display: none;
    /* or flex when visible */
    flex-direction: column;
    position: fixed;
    width: 100%;
    background: #ededed;
    bottom: 0;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    padding-top: 10px;
    padding-bottom: 20px;
  }

  /* TODO - when this css pushed live, remove css (excludeing font-family) from product_customizer_new.liquid  */

  .exit-customizer {
    width: 21px;
    height: 21px;
    position: relative;
    margin-top: 50px;
    margin-bottom: 60px;
  }

  .customizer-x {
    float: left;
    position: relative;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background: transparent;
    cursor: pointer;
    width: 40px;
    height: 100%;
    display: flex;
    object-fit: fill;
    justify-content: center;
    align-items: center;
  }

  .customizer-x .site-close-handle {
    position: relative;
    right: inherit !important;
    top: inherit;
    width: 21px;
    height: 21px;
    padding: 0;
    border: 0 none;
    cursor: pointer;
  }

  .customizer-h1 {
    font-weight: normal;
    font-size: 40px !important;
    letter-spacing: 1px;
    color: #000;
    line-height: 1.1;
    margin-bottom: 40px !important;
    text-align: left;
    width: 100%;
  }

  .customizer-buttons {
    display: flex;
    flex-direction: row;
    width: 100%;
    margin-bottom: 125px;
  }

  .customizer-buttons .btn-custom.customizerAddToCart {
    background: #8eb1ac;
    border-color: transparent;
  }

  .customizer-buttons .btn:last-of-type {
    margin-right: 0;
  }

  .customizer-buttons .btn:first-of-type {
    margin-left: 0;
  }

  .customizer-buttons .btn-custom {
    background: transparent;
    color: #252a2b;
    min-width: 140px;
    padding: 0px 0px;
    height: 60px;
    border: 1px solid #ddd;
    border-top-color: rgb(221, 221, 221);
    border-right-color: rgb(221, 221, 221);
    border-bottom-color: rgb(221, 221, 221);
    border-left-color: rgb(221, 221, 221);
    text-transform: none;
    margin: 0 12px;
    margin-right: 12px;
    margin-left: 12px;
    font-weight: 400;
    font-style: normal;
    font-size: 0.8125rem;
    position: relative;
    cursor: pointer;
    border-radius: 0;
    -webkit-appearance: none;
    box-shadow: none;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .customizer-buttons .btn-custom.customizerAddToCart span {
    color: white;
  }

  .customizer-buttons .btn-custom span {
    margin: 0;
    padding: 0;
    color: #000;
    font-size: 16px !important;
    line-height: 28px !important;
    text-align: center;
    vertical-align: baseline;
  }

  .customizer-ui-wrapper {
    /*
    position: relative;
    // height          : calc(100vh - #{$marginTopOnDesktop});
    height: 100%;
    width: 50vw;
    background-color: white;
    padding-left: 40px;

    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    */

    background-color: white;
    position: relative;
    padding-left: 40px;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .customizer-desktop-options {
    width: 100%;
    height: 100%;
    max-height: 100vh;
    overflow-y: auto;
  }


  .customizer-line {
    padding-left: 0;
    padding-bottom: 0;
  }

  .customizer-arrow {
    display: block;
    background: url("scroll-arrow.svg") no-repeat;
    background-size: auto;
    background-size: 60px 26px;
    width: 60px;
    height: 26px;
    content: "";
  }

  .customizer-arrow.arrow-up {
    transform: rotate(180deg);
  }

  .customizer-mobile-toggler-text {
    margin: 0;
    text-align: center;
    font-size: 18px;
    opacity: 1;
    white-space: nowrap;
    overflow: hidden;
    transition: height 500ms, opacity 500ms;
  }

  .customizer-text-holder {
  }

  .customizer-text-holder.text-to-show {
    display: block;
  }

  .customizer-text-holder.text-to-hide {
    display: none;
  }

  .customizer-buttons-wrapper {
    display: flex;
    flex-direction: row;
    width: 100%;
    margin-top: 20px;
    margin-bottom: 40px;
  }

  .customizer-button {
    min-width: 140px;
    padding: 0px 0px;
    height: 60px;
    border: 1px solid #ddd;
    border-top-color: rgb(221, 221, 221);
    border-right-color: rgb(221, 221, 221);
    border-bottom-color: rgb(221, 221, 221);
    border-left-color: rgb(221, 221, 221);
    border-color: transparent;
    text-transform: none;
    margin: 0 12px;
    margin-right: 12px;
    margin-left: 12px;
    font-weight: 400;
    font-style: normal;
    font-size: 0.8125rem;
    position: relative;
    cursor: pointer;
    border-radius: 0;
    -webkit-appearance: none;
    box-shadow: none;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #8eb1ac;
  }

  .customizer-button span {
    margin: 0;
    padding: 0;
    color: #fff;
    font-family: "Helvetica Neue LT Std";
    font-size: 16px !important;
    line-height: 28px !important;
    text-align: center;
    vertical-align: baseline;
  }

  .customizer-button:first-of-type {
    margin-left: 0;
  }

  .customizer-button:last-of-type {
    margin-right: 0;
  }

  .customizer-button:hover {
    background: #f5f5f5;
    color: #fff;
    border-color: transparent;
    transition: all 150ms linear;
  }

  .customizer-button:hover span {
    color: #000;
    transition: all 150ms linear;
  }

  .customizer-mobile-only {
    display: none;
    /* TODO - display on mobile */
  }

  @media (max-width: 768px) {
    .with-top-banner .variant-customizer-container {
      margin-top: calc(#{$marginTopOnMobile} + #{$topBannerHeight});
    }

    .customizer-progress-bar,
    .customizer-outro {
      width: 100vw;
    }

    .customizer-buttons-wrapper {
      position: fixed;
      top: $marginTopOnDesktop;
      width: calc(50vw - 20px);
      right: 20px;
      left: inherit;
      overflow: visible;
    }

    .with-top-banner .customizer-buttons-wrapper {
      top: calc(#{$marginTopOnDesktop} + #{$topBannerHeight});
    }

    .customizer-buttons-wrapper .customizer-button {
      margin-left: auto;
    }

    .customizer-line{
        min-width: 100%;
    }

    .customizer-input {
      margin-bottom: 10px;
      margin-left: 10px;
      width: calc(100% - 30px);
    }

    .exit-customizer {
      position: fixed;
      top: #{$marginTopOnDesktop};
      left: 30px;
      margin-top: 20px;
    }

    .with-top-banner .exit-customizer {
      top: calc(#{$marginTopOnDesktop} + #{$topBannerHeight});
    }

    .customizer-canvas-wrapper {
      margin-top: calc(-#{$marginTopOnDesktop} + 20px);
    }

    .with-top-banner .customizer-canvas-wrapper {
      margin-top: calc(-#{$marginTopOnDesktop});
    }

    .customizer-x {
      width: 20px;
      margin-top: 20px;
    }

    .customizerCanvasParent {
      width: 100vw;
    }

    .customizer-ui-wrapper {
      padding: 0;
      width: 100%;
      position: fixed;
      top: inherit;
      bottom: 0;
      transform: inherit;
      height: 0;
      overflow: visible;
      opacity: 1;
      transition: opacity 700ms, transform 1000ms;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    .customizer-options-wrapper {
      width: 100%;
      padding-left: 20px;
      padding-right: 20px;
      max-height: calc(100vh - 87px - 100px - #{$marginTopOnMobile});
      background-color: rgba(235, 235, 235, 0.7);
      transition: transform 0.5s;
      position: fixed;
      bottom: 0;
      transform: translateY(100%);
    }

    .customizer-ui-wrapper.mobile-options-visible .customizer-options-wrapper {
      transform: translateY(-75px);
      overflow-y: auto;
      padding-top: 30px;
      padding-bottom: 30px;
    }

    .customizer-options {
      width: 100%;
      margin-left: auto;
      margin-right: auto;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: flex-start;
    }

    .customizer-ui-group {
      background: transparent;
      padding: 0;
      border: 0 none;
    }

    ul.color-group-wrapper {
      width: calc(100vw - 25px);
      overflow-x: scroll;
      white-space: nowrap;
      padding: 4px 0 15px 0;
    }

    .color-group-title,
    ul.color-group-wrapper li:first-of-type {
      margin-left: 15px;
    }

    .customizer-mobile-options {
      display: flex;
      flex-direction: column;
      position: fixed;
      width: 100%;
      background: #ededed;
      bottom: 0;
      cursor: pointer;
      justify-content: center;
      align-items: center;
      padding-top: 10px;
      padding-bottom: 20px;
    }

    .customizer-mobile-toggler-text {
    }

    /* toggle color options on mobile */

    .mobile-options-visible .customizer-text-holder.text-to-show {
      display: none;
    }

    .mobile-options-visible .customizer-text-holder.text-to-hide {
      display: block;
    }
  }

  @media (max-width: 480px) {
    .customizer-buttons-wrapper {
      top: $marginTopOnMobile;
    }

    .with-top-banner .customizer-buttons-wrapper {
      top: calc(#{$marginTopOnMobile} + #{$topBannerHeight});
    }

    .exit-customizer {
      top: #{$marginTopOnMobile};
    }

    .with-top-banner .exit-customizer {
      top: calc(#{$marginTopOnMobile} + #{$topBannerHeight});
    }

    .customizer-canvas-wrapper {
      margin-top: calc(-#{$marginTopOnMobile} + 20px);
    }

    .with-top-banner .customizer-canvas-wrapper {
      margin-top: calc(-#{$marginTopOnMobile});
    }
  }
}
